GG: GG::Font::LineData::CharData Struct Reference

GG

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GG::Font::LineData::CharData Struct Reference

`#include <Font.h>`

## Public Member Functions
| CharData ()
| CharData (X extent_, StrSize str_index, StrSize str_size, CPSize cp_index, const std::vector< boost::shared_ptr< TextElement > > &tags_)

## Public Attributes
X | extent
StrSize | string_index
StrSize | string_size
CPSize | code_point_index
std::vector< boost::shared_ptr < FormattingTag > > | tags

## Detailed Description

Contains the extent, the index into the original string, and the text formatting tags that should be applied before rendering of a visible glyph.

Definition at line 267 of file Font.h.

## Constructor & Destructor Documentation

GG::Font::LineData::CharData::CharData | ( |  | ) |

Defauilt ctor.

GG::Font::LineData::CharData::CharData | ( | X | extent_,
|  | StrSize | str_index,
|  | StrSize | str_size,
|  | CPSize | cp_index,
|  | const std::vector< boost::shared_ptr< TextElement > > & | tags_
| ) |  |

Ctor.

## Member Data Documentation

X GG::Font::LineData::CharData::extent

The furthest-right extent of this glyph as it appears on the line.

Definition at line 278 of file Font.h.

StrSize GG::Font::LineData::CharData::string_index

The position in the original string of the first character of this glyph.

Definition at line 282 of file Font.h.

StrSize GG::Font::LineData::CharData::string_size

The size in the original string of the characters that make up this glyph.

Definition at line 286 of file Font.h.

CPSize GG::Font::LineData::CharData::code_point_index

The code point index of this glyph.

Definition at line 289 of file Font.h.

std::vector<boost::shared_ptr<FormattingTag> > GG::Font::LineData::CharData::tags

The text formatting tags that should be applied before rendering this glyph.

Definition at line 293 of file Font.h.

The documentation for this struct was generated from the following file:

- Font.h